require("ai.JINB.JINB")
--仙界竹林
function c87592211.initial_effect(c)
	--Activate
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCode(EVENT_FREE_CHAIN)
	c:RegisterEffect(e1)

	local e2=Effect.CreateEffect(c)
	e2:SetDescription(aux.Stringid(87592211,0))
	e2:SetType(EFFECT_TYPE_FIELD+EFFECT_TYPE_TRIGGER_F)
	e2:SetRange(LOCATION_FZONE)
	e2:SetCountLimit(1)
	e2:SetCode(EVENT_BATTLE_DAMAGE)
	e2:SetCondition(c87592211.condition)
	e2:SetOperation(c87592211.activate)
	c:RegisterEffect(e2)
end

function c87592211.condition(e,tp,eg,ep,ev,re,r,rp)
	return Duel.GetAttackTarget()==nil and eg:GetFirst():GetAttack()<=1500
	and not Duel.IsExistingMatchingCard(Card.IsSetCard,eg:GetFirst():GetControler(),LOCATION_HAND,0,1,nil,0x871)
end
function c87592211.activate(e,tp,eg,ep,ev,re,r,rp)
	local p=eg:GetFirst():GetControler()
	c=Duel.CreateToken(p,ac1[math.random(#ac1)])
	Duel.SendtoHand(c,p,REASON_RULE)
	--action
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_SINGLE)
	e1:SetCode(EFFECT_CANNOT_SSET)
	c:RegisterEffect(e1)
	local e2=Effect.CreateEffect(c)
	e2:SetType(EFFECT_TYPE_SINGLE)
	e2:SetCode(EFFECT_QP_ACT_IN_NTPHAND)
	c:RegisterEffect(e2)
end